package com.hfkj.service.gas;

import com.hfkj.entity.BsGasOilPrice;

import java.util.List;
import java.util.Map;

/**
 * @className: BsGasOilPriceService
 * @author: HuRui
 * @date: 2024/3/5
 **/
public interface BsGasOilPriceService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsGasOilPrice data);

    /**
     * 批量修改
     * @param merNo
     * @param gasOilPrice
     */
    void batchUpdate(String merNo,BsGasOilPrice gasOilPrice);

    /**
     * 编辑价格
     * @param data
     */
    void editOilPrice(BsGasOilPrice data);

    /**
     * 删除
     * @param data
     */
    void delete(BsGasOilPrice data);

    /**
     * 查询油价数据
     * @param id
     * @return
     */
    BsGasOilPrice getGasOilPrice(Long id);

    /**
     * 查询油价数据
     * @param merId
     * @param oilNo
     * @return
     */
    BsGasOilPrice getGasOilPrice(Long merId,String oilNo);

    /**
     * 查询油价列表
     * @param merId
     * @return
     */
    List<BsGasOilPrice> getGasOilPriceList(Long merId);

    /**
     * 查询油价列表
     * @param param
     * @return
     */
    List<BsGasOilPrice> getGasOilPriceList(Map<String,Object> param);


    /**
     * 根据区域和油品 查询数据列表
     * @param regionId
     * @param oilNo
     * @return
     */
    List<BsGasOilPrice> getPriceListByRegionAndOilNo(Long regionId,Integer oilPriceZoneId , String oilNo);
}
